Index: /trunk/tests/PayPalTest.php
===================================================================
--- /trunk/tests/PayPalTest.php	(revision 467)
+++ /trunk/tests/PayPalTest.php	(revision 468)
@@ -30,13 +30,8 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PayPalTest extends PHPUnit_TestCase {
+
+class PayPalTest extends PHPUnit_Framework_TestCase {
 
     var $PayPal;
-
-    function PayPalTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -44,5 +39,5 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/PayPal.inc.php';
-        $this->PayPal =& new PayPal();
+        $this->PayPal = new PayPal();
 
         // Defaults for purchasing classified postings.
@@ -90,5 +85,6 @@
         ));
         $result = $this->PayPal->getlink('testitem');
-        $this->assertTrue(preg_match('/customdata/', $result));
+        //$this->assertTrue(preg_match('/customdata/', $result));
+        $this->assertSame(1, preg_match('/customdata/', $result));
     }
 
@@ -103,5 +99,7 @@
         $this->PayPal->printbutton('testitem');
         $result = ob_get_clean();
-        $this->assertTrue(preg_match('/customdata/', $result));
+        //$this->assertTrue(preg_match('/customdata/', $result));
+        $this->assertSame(1, preg_match('/customdata/', $result));
+        
     }
 
@@ -134,7 +132,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PayPalTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/PrefsTest.php
===================================================================
--- /trunk/tests/PrefsTest.php	(revision 467)
+++ /trunk/tests/PrefsTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class PrefsTest extends PHPUnit_TestCase {
+
+class PrefsTest extends PHPUnit_Framework_TestCase {
 
     var $Prefs;
@@ -40,5 +40,5 @@
     function PrefsTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -112,7 +112,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('PrefsTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/ScriptTimerTest.php
===================================================================
--- /trunk/tests/ScriptTimerTest.php	(revision 467)
+++ /trunk/tests/ScriptTimerTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class ScriptTimerTest extends PHPUnit_TestCase {
+
+class ScriptTimerTest extends PHPUnit_Framework_TestCase {
 
     var $ScriptTimer;
@@ -40,5 +40,5 @@
     function ScriptTimerTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -77,7 +77,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('ScriptTimerTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/SortOrderTest.php
===================================================================
--- /trunk/tests/SortOrderTest.php	(revision 467)
+++ /trunk/tests/SortOrderTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class SortOrderTest extends PHPUnit_TestCase {
+
+class SortOrderTest extends PHPUnit_Framework_TestCase {
 
     var $SortOrder;
@@ -40,5 +40,5 @@
     function SortOrderTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -91,7 +91,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('SortOrderTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/SpellCheckTest.php
===================================================================
--- /trunk/tests/SpellCheckTest.php	(revision 467)
+++ /trunk/tests/SpellCheckTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class SpellCheckTest extends PHPUnit_TestCase {
+
+class SpellCheckTest extends PHPUnit_Framework_TestCase {
 
     var $SpellCheck;
@@ -40,5 +40,5 @@
     function SpellCheckTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -154,7 +154,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('SpellCheckTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/TemplateGlueTest.php
===================================================================
--- /trunk/tests/TemplateGlueTest.php	(revision 467)
+++ /trunk/tests/TemplateGlueTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class TemplateGlueTest extends PHPUnit_TestCase {
+
+class TemplateGlueTest extends PHPUnit_Framework_TestCase {
 
     var $TemplateGlue;
@@ -40,5 +40,5 @@
     function TemplateGlueTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -56,7 +56,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('TemplateGlueTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/UploadTest.php
===================================================================
--- /trunk/tests/UploadTest.php	(revision 467)
+++ /trunk/tests/UploadTest.php	(revision 468)
@@ -7,5 +7,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -14,10 +14,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class UploadTest extends PHPUnit_TestCase {
+
+class UploadTest extends PHPUnit_Framework_TestCase {
 
     var $Upload;
@@ -40,5 +40,5 @@
     function UploadTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -120,5 +120,5 @@
     function test_getfilenameextension()
     {
-        $result = $this->Upload->getfilenameextension(PARAM);
+        $result = $this->Upload::getfilenameextension(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -126,7 +126,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('UploadTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/UtilitiesTest.php
===================================================================
--- /trunk/tests/UtilitiesTest.php	(revision 467)
+++ /trunk/tests/UtilitiesTest.php	(revision 468)
@@ -33,6 +33,6 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class UtilitiesTest extends PHPUnit_TestCase {
+
+class UtilitiesTest extends PHPUnit_Framework_TestCase {
 
     var $Utilities;
@@ -40,5 +40,5 @@
     function UtilitiesTest($name)
     {
-        $this->PHPUnit_TestCase($name);
+        $this->PHPUnit_Framework_TestCase($name);
     }
 
@@ -56,7 +56,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('UtilitiesTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/VersionTest.php
===================================================================
--- /trunk/tests/VersionTest.php	(revision 467)
+++ /trunk/tests/VersionTest.php	(revision 468)
@@ -30,14 +30,9 @@
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-require_once 'PHPUnit.php';
-class VersionTest extends PHPUnit_TestCase {
+
+class VersionTest extends PHPUnit_Framework_TestCase {
 
     var $Version;
     var $Auth_SQL;
-
-    function VersionTest($name)
-    {
-        $this->PHPUnit_TestCase($name);
-    }
 
     function setUp()
@@ -47,5 +42,5 @@
 
         require_once '../lib/Auth_SQL.inc.php';
-        $this->Auth_SQL =& new Auth_SQL('testauth');
+        $this->Auth_SQL = new Auth_SQL('testauth');
         $this->Auth_SQL->setParam(array(
             'db_table'          => 'test_user_tbl',
@@ -116,5 +111,5 @@
     {
         $result = $this->Version->create('test_user_tbl', 'user_id', '1', 'Test User', 'First version of user');
-        $this->assertTrue($result);
+        $this->assertSame(1, $result);
     }
 
@@ -190,7 +185,2 @@
 
 }
-// Running the test.
-$suite = new PHPUnit_TestSuite('VersionTest');
-$result = PHPUnit::run($suite);
-echo $result->toString();
-?>
Index: /trunk/tests/_config.inc.php
===================================================================
--- /trunk/tests/_config.inc.php	(revision 467)
+++ /trunk/tests/_config.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -28,4 +28,5 @@
 */
 require_once '../lib/App.inc.php';
+
 $app =& App::getInstance('testapp');
 
@@ -44,6 +45,6 @@
     'db_die_on_failure' => true,
     'db_server' => 'localhost',
-    'db_name' => 'test',
-    'db_user' => 'root',
+    'db_name' => getenv('DB_NAME'),
+    'db_user' => getenv('DB_USER'),
     'db_pass' => getenv('DB_PASS'),
     'display_errors' => true,
@@ -59,3 +60,2 @@
 
 $app->start();
-?>
Index: /trunk/tests/_skel.php
===================================================================
--- /trunk/tests/_skel.php	(revision 467)
+++ /trunk/tests/_skel.php	(revision 468)
@@ -78,3 +78,2 @@
 // }
 
-?>
Index: /trunk/tests/bootstrap.php
===================================================================
--- /trunk/tests/bootstrap.php	(revision 468)
+++ /trunk/tests/bootstrap.php	(revision 468)
@@ -0,0 +1,5 @@
+<?php
+// session_start();
+// //set_include_path(get_include_path() . PATH_SEPARATOR . '../..');
+// ini_set('include_path',get_include_path().PATH_SEPARATOR.'/opt'.PATH_SEPARATOR.'..');
+// //die(get_include_path());
Index: /trunk/tests/run_tests.sh
===================================================================
--- /trunk/tests/run_tests.sh	(revision 467)
+++ /trunk/tests/run_tests.sh	(revision 468)
@@ -1,13 +1,33 @@
-#!/bin/sh
+#!/bin/bash
+
+# This script sets-up the test environment and runs all tests.
+# You'll want to define your local mysql credentials for a test
+# database as environment variables, e.g., in ~/.bash_profile:
+#  export DB_NAME="test"
+#  export DB_USER="test"
+#  export DB_PASS="..."
 
 # Be in the directory with all the tests.
 cd `dirname $0`;
 
+# Get required ENV variables.
+if [[ -z "$DB_USER$DB_PASS$DB_NAME" ]]; then
+    echo "MySQL test DB credential environment variables are missing.\nSet these in ~/.bash_profile to avoid seeing these prompts each time.";
+fi
+for E in DB_USER DB_PASS DB_NAME; do
+    while [[ -z ${!E} ]]; do
+        read -p "$E: " $E;
+    done
+    export $E;
+done
+
 # Create database.
 mysql -e 'CREATE DATABASE IF NOT EXISTS `test`';
 
-# Run tests sequentially.
-for foo in *Test.php; 
-do
-    php $foo;
-done;
+# Go!
+echo "Running the tests!";
+echo "You'll want to 'tail -f /tmp/codebase_test_log' and watch for errors.";
+
+# Config options go in phpunit.xml
+# phpunit --tap | grep -v '^ok '
+phpunit --stderr
